# Class HaploidReferenceEncoderOptions

java.lang.Object
htsjdk.beta.plugin.hapref.HaploidReferenceEncoderOptions

All Implemented Interfaces:
  `HtsEncoderOptions`

public class HaploidReferenceEncoderOptions extends Object implements HtsEncoderOptions
Class for haploid reference encoder options.

## Constructor Summary

Constructors
Constructor
Description
`HaploidReferenceEncoderOptions()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HaploidReferenceEncoderOptions

public HaploidReferenceEncoderOptions()